# Method SDL.show_cursor()

Method show_cursor

  ``int` show_cursor(`int` `show`)`

Description

  Sets the state of the mouse cursor on the SDL screen (visible or hidden), or queries its current state.

  By default, the cursor is visible.

Parameter `show`

  One of these constants:

  SDL.ENABLE

    Show the cursor.

  SDL.DISABLE

    Hide the cursor.

  SDL.QUERY

    Determine the current state of the cursor.

Returns

  The current state of the mouse cursor, either `SDL.ENABLE` or `SDL.DISABLE`.